라즈베리파이(라즈비안)에서 apt-get update 오류 해결법

라즈베리파이에서 라즈비안을 처음 설치하였을때는 한글 설정 및 WiFi 설정을 별도로 해줘야 했습니다. 그 외에 다른 부분에서 오류나 설정을 해줄 필요가 있을까요? 찾아보니 apt-get 에서 update가 정상적으로 동작하지 않는 문제가 발생하였습니다. 

apt-get 은 데비안 계열의 리눅스에서 제공되는 소프트웨어 패키지 설치 Tool 입니다. 설치/삭제/업데이트 등의 기능이 동작하며 현재 우분투 리눅스에서도 널리 쓰이고 있는 아주 편리한 Tool이 되겠습니다. 라즈비안에서도 apt-get을 사용할 수 있는데요, 최신 소프트웨어 패키지 리스트를 update 하기 위해 “sudo apt-get update”를 입력했지만 리스트가 업데이트가 되지 않는 것을 확인하였습니다.

위의 화면과 같이 해시합이 맞지 않는다는 메시지가 뜨면서 업데이트가 되질 않습니다. 그렇다면 어떻게 해야 할까요?

해결법

현재 라즈비안에서는 소프트웨어 패키지 리스트 레파지터리(서버)가 “http://raspbian.raspberrypi.org/raspbian” 으로 되어 있습니다.

아마 이 리스트의 서버가 이상이 있는게 아닐까 싶습니다. 그래서 알아보니 라즈비안에서 지원하는 다른 서버 리스트로 바꿔주면 해결됩니다. 

위 링크를 클릭하면 라즈비안의 미러 사이트의 리스트가 나타납니다. 리스트는 전세계에 분포한 서버들의 국가와 위치 및 URL를 표시해 주고 있습니다. 여기서 한국의 서버도 있는데요, 한국 서버는 속도가 빠르기 때문에 미러 사이트로 사용을 추천합니다.  확인해 보니 한국 서버들도 몇군데가 있네요. 그중에서 가장 유명한 KAIST 서버가 있습니다.

위의 화면에 빨간색 네모로 표시된 URL이 보이죠? 카이스트 서버입니다. 위 URL을 /etc/apt/sources.list 를 vi 에디터로 열어서 바꿔주면 됩니다. 

위 명령어 입력 후 기존의 URL은 #를 넣어서 주석처리 해주고 Kaist 서버 리스트를 추가해 줍니다. 

저는 FTP 서버로 수정을 했네요. URL 뒤에 stretch main contrib non-free rpi 라는 String도 넣어 줍니다. 기존 라즈비안 서버 리스트와 동일한 규칙으로 추가해 주면 되겠습니다. 수정이 완료되었으면 저장을 하고 빠져나갑니다. 그럼 다시 확인해 볼까요?

Kaist 서버로 apt-get update시 정상적으로 패키지 목록이 업데이트가 됨을 확인하였습니다. 이후에는 apt-get으로 최신 소프트웨어를 설치할 수 있습니다.

 

error: Content is protected !!